Troca a chave de API por um token de curta duração
curl --request POST \
--url https://api-koolisys.eixoassistencia.com.br/v1/auth/token \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-koolisys.eixoassistencia.com.br/v1/auth/token"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-koolisys.eixoassistencia.com.br/v1/auth/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-koolisys.eixoassistencia.com.br/v1/auth/token",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-koolisys.eixoassistencia.com.br/v1/auth/token"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-koolisys.eixoassistencia.com.br/v1/auth/token")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-koolisys.eixoassistencia.com.br/v1/auth/token")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJjb21wYW55SWQiOjQyLCJzY29wZXMiOlsiYXR0ZW5kYW5jZXMud3JpdGUiLCJhdHRlbmRhbmNlcy5yZWFkIl0sInByZWZpeCI6Imtsc19saXZlX2ExYjJjMyJ9.assinatura-ficticia",
"tokenType": "Bearer",
"expiresAt": "2026-08-20T13:15:00.000Z"
},
"meta": {},
"errors": []
}{
"data": null,
"errors": [
{
"code": "INVALID_API_KEY",
"message": "Chave de API inválida."
}
]
}{
"data": null,
"errors": [
{
"code": "RATE_LIMITED",
"message": "Limite de requisições excedido.",
"details": {
"retryAfterSeconds": 42
}
}
]
}{
"data": null,
"errors": [
{
"code": "FEATURE_DISABLED",
"message": "Feature is disabled: public_api.enabled"
}
]
}auth
Troca a chave de API por um token de curta duração
Recebe a chave de API como Bearer token e devolve um token JWT de curta duração, carregando os escopos concedidos à chave — exigido por todo endpoint de dados. Sem corpo de requisição: a chave de API vai no cabeçalho Authorization: Bearer <chave>.
POST
/
v1
/
auth
/
token
Troca a chave de API por um token de curta duração
curl --request POST \
--url https://api-koolisys.eixoassistencia.com.br/v1/auth/token \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-koolisys.eixoassistencia.com.br/v1/auth/token"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-koolisys.eixoassistencia.com.br/v1/auth/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-koolisys.eixoassistencia.com.br/v1/auth/token",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-koolisys.eixoassistencia.com.br/v1/auth/token"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-koolisys.eixoassistencia.com.br/v1/auth/token")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-koolisys.eixoassistencia.com.br/v1/auth/token")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJjb21wYW55SWQiOjQyLCJzY29wZXMiOlsiYXR0ZW5kYW5jZXMud3JpdGUiLCJhdHRlbmRhbmNlcy5yZWFkIl0sInByZWZpeCI6Imtsc19saXZlX2ExYjJjMyJ9.assinatura-ficticia",
"tokenType": "Bearer",
"expiresAt": "2026-08-20T13:15:00.000Z"
},
"meta": {},
"errors": []
}{
"data": null,
"errors": [
{
"code": "INVALID_API_KEY",
"message": "Chave de API inválida."
}
]
}{
"data": null,
"errors": [
{
"code": "RATE_LIMITED",
"message": "Limite de requisições excedido.",
"details": {
"retryAfterSeconds": 42
}
}
]
}{
"data": null,
"errors": [
{
"code": "FEATURE_DISABLED",
"message": "Feature is disabled: public_api.enabled"
}
]
}Authorizations
Chave de API, só aceita em POST /v1/auth/token para ser trocada por um token de curta duração. Nenhum outro endpoint aceita a chave diretamente.
